#!/bin/bash

# Feldbegrenzer festlegen, hier ein Leerzeichen
IFS=" "
# temporäre Datei für die durch wget gelesene Seite
tempfile="/tmp/tempfile"

# URL der Rechner, die abgefragt werden sollen
kesselhaus="192.168.1.177/?pull"

# Daten Kesselhaus abholen und in der temporären Datei ablegen
ret=`wget -qO - $kesselhaus > $tempfile `

# Zeile mit DS18B20 aus tmp-Datei auslesen und  Felder ab 2 Variablen zuweisen
temp=`grep DS18B20 $tempfile`
set -- $temp
sensor1=$2
sensor2=$3

# Zeile mit s0 aus tmp-Datei auslesen und  Felder ab 2 Variablen zuweisen
temp=`grep s0  $tempfile`
set -- $temp
s0_1=$2
s0_2=$3
s0_3=$4

# Datenbankverbindung aufbauen und neuen Datensatz anfügen, aktuelle Systemzeit als Satzzeit benutzen
# Feldnamen in Tabelle s0: s0_22, s0_23, s0_24, Temp01, Temp02
mysql -h 192.168.1.182  -u user -ppass  <<EOF
use ohs;
insert into s0 (idDatum, s0_22, s0_23, s0_24, Temp01, Temp02 ) values (now(), '$S0_22', '$S0_23', '$S0_24', '$sensor1', '$sensor2' );
EOF

